//管理出售-激活房源 全选
function selectALL() {//全选	
    $(".jsSelectItem").attr("checked", true)
}
function selectALLf() {//反选
    $(".jsSelectItem").each(function(index, element) {
        $(this).attr("checked", !$(this).attr("checked"));
        $(".jsALLinput_c").attr("checked", true)
    });
}
function selectALLn() {//全不选
    $(".jsSelectItem").attr("checked", false)
}
function addThisText(tex) {
    $("#jsHouseNume").text(tex)
}
//验证身份证
var aCity = {11: "北京", 12: "天津", 13: "河北", 14: "山西", 15: "内蒙古", 21: "辽宁", 22: "吉林", 23: "黑龙江", 31: "上海", 32: "江苏", 33: "浙江", 34: "安徽", 35: "福建", 36: "江西", 37: "山东", 41: "河南", 42: "湖北", 43: "湖南", 44: "广东", 45: "广西", 46: "海南", 50: "重庆", 51: "四川", 52: "贵州", 53: "云南", 54: "西藏", 61: "陕西", 62: "甘肃", 63: "青海", 64: "宁夏", 65: "新疆", 71: "台湾", 81: "香港", 82: "澳门", 91: "国外"}

function isCardID(sId) {
    var iSum = 0;
    var info = "";
    if (!/^\d{17}(\d|x)$/i.test(sId))
    {
        return true;
    }
    sId = sId.replace(/x$/i, "a");
    if (aCity[parseInt(sId.substr(0, 2))] == null)
    {
        //alert( "你的身份证地区非法"); 
        return true;
    }
    sBirthday = sId.substr(6, 4) + "-" + Number(sId.substr(10, 2)) + "-" + Number(sId.substr(12, 2));
    var d = new Date(sBirthday.replace(/-/g, "/"));
    if (sBirthday != (d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate()))

    {
        //alert( "身份证上的出生日期非法"); 
        return true;
    }
    for (var i = 17; i >= 0; i --)
        iSum += (Math.pow(2, i) % 11) * parseInt(sId.charAt(17 - i), 11);
    if (iSum % 11 != 1)
    {
        //alert( "你输入的身份证号非法");
        return true;
    }
    //aCity[parseInt(sId.substr(0,2))]+","+sBirthday+","+(sId.substr(16,1)%2?"男":"女") 
}
//验证邮箱
function isEmailID(sId)
{
    if (!/^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/i.test(sId))
    {
        return true;
    }
}
//验证手机号码
function isPhone(sId)
{
	if(!/^1\d{10}$/i.test(sId))	
	{
		return true;
	}
}

/****消息列表 hover 变色 点击整块打开链接****/
function listItemHover(obj, oLink, noClick)
{
    $("." + obj).hover(function() {
        $(this).addClass(obj + "Hover")
        //.siblings("."+objIn).removeClass(objIn+"Hover");
    }, function() {
        $(this).removeClass(obj + "Hover");
    }).click(function() {
        var oLink2 = $(this).find("." + oLink).attr("href")
        window.open(oLink2);
    })
    $("." + obj).find("." + noClick).click(function(event) {
        event.stopPropagation();
    });
}
listItemHover("itemInfoBachNews", "jsLin", "jsNo");
//
$(function() {
    //管理出售-激活房源 全选 反选
    $(".jsALLinput_c").click(function(event) {
        event.stopPropagation();
        if ($(this).attr("checked") == false || $(this).attr("checked") == undefined)
        {
            $(".jsSelectItem").attr("checked", false)
        }
        else
        {
            $(".jsSelectItem").attr("checked", true)
        }
    })
    //管理出售-激活房源 操作
  	$(".jsImgBoxFun").find(".pic").click(function() {
        //$(this).find(".btn").toggleClass("btnT");
        $(this).find(".jsPic").toggle()
    });
	
    $(".jsImgBoxFun").find(".pic").hover(function() { 
            //$(this).parents(".jsImgBoxFun").find(".pic").removeClass("picP");
            var tex = $(this).find("img").attr("alt");
            var inHtml = '<div class="tipNumber" style="display:block"><div class="tipNumberSj"><div class="one ico"></div><div class="two ico"></div><div class="three ico"></div><div class="four ico"></div><div class="five ico"></div><div class="six ico"></div></div><div class="tipNumberInner">'+tex+'</div></div>';
            $(this).addClass("picP");
    //	$(this).find(".tipNumber").show();
            $(this).append(inHtml);
    },function(){
            $(this).removeClass("picP");
            $(this).find(".tipNumber").remove();
    });

    /***店铺基本设置**/
    $("#jsBtn02").click(function() {

        $("#jsForm3").validate({
            /*errorPlacement:function(error,element) 
             { 
             error.appendTo(element.parents(".jsFgInput").siblings(".textFgErroy"))
             },*/
            rules:
                    {
                        nameInput:
                                {
                                    required: true
                                },
                        gTextarea:
                                {
                                    maxlength: 50
                                }
                    },
            messages:
                    {
                        nameInput:
                                {
                                    required: "请填写小区名称"
                                },
                        gTextarea:
                                {
                                    maxlength: "店铺公告最多50个字"
                                }
                    }
        })
        $("#jsForm3").submit()
    })
    //店铺名称限制20个字
    countFun("jsShopName", 20, "jsShopNameNum");
    //店铺公告限制50个字
    countFun("jsShopNotice", 50, "jsShopNoticeNum")
    /**个人中心***/

    $(".jsAlterLin").bind("click",function(){//验证身份证
		var inputVal = $(this).siblings(".jsAlterInfo").text();
		$(this).siblings(".jsAlterInfo").hide();
		if(inputVal == "尚未填写"){inputVal = "";}
		$(this).siblings(".jsAlterInput").val(inputVal).show();
		$(this).hide();
		$(this).siblings(".jsAlterLin2").show();	
    })
    $("#jsIsCardID").bind("click",function(){
            var inputVal = $(this).siblings(".jsAlterInput").val();

            inputVal = inputVal != "" ? inputVal : "尚未填写";
            $(this).siblings(".jsAlterInput").hide();
            $(this).siblings(".jsAlterInfo").text(inputVal).show();
            $(this).hide();	
            $(this).siblings(".jsAlterLin").show();	
            $(this).siblings(".error").hide();

            if(inputVal == "尚未填写")
            {
                    $.post("/ucenter_information/save_idcard/", { action: "saveidcardno", idcardno: ""}, function(data){
                            if(data == "1")
                            {
                                    $("#jsDialogT_msg").text("身份证号已重置。");  
                                    openWin("jsDialogT");
                            }
                            else
                            {
                                    $("#jsDialogE_msg").text("身份证号重置失败，请刷新页面重试。");
                                    openWin("jsDialogE");
                            }
                    });
            }
            else
            {
                    if( !isCardID(inputVal))
                    {
                            $.post("/ucenter_information/save_idcard/", { action: "saveidcardno", idcardno: inputVal}, function(data){
                                    if(data == "1")
                                    {
                                            $("#jsDialogT_msg").text("身份证号修改成功。");  
                                            openWin("jsDialogT");
                                    }
                                    else
                                    {
                                            $("#jsDialogE_msg").text("身份证号修改失败，请刷新页面重试。");
                                            openWin("jsDialogE");
                                    }
                            });
                    }
                    else
                    {
                            $(this).siblings(".error").show();
                    }
            }
    })

    $("#jsIsEmailID").bind("click",function(){//验证邮箱
            var inputVal = $(this).siblings(".jsAlterInput").val();

            inputVal = inputVal != "" ? inputVal : "尚未填写";
            $(this).siblings(".jsAlterInput").hide();
            $(this).siblings(".jsAlterInfo").text(inputVal).show();
            $(this).hide();	
            $(this).siblings(".jsAlterLin").show();	
            $(this).siblings(".error").hide();

            if(inputVal == "尚未填写")
            {
                    $.post("/ucenter_information/save_email/", { action: "saveemail", email: ""}, function(data){
                            if(data == "1")
                            {
                                    $("#jsDialogT_msg").text("邮箱已重置。");  
                                    openWin("jsDialogT");
                            }
                            else
                            {
                                    $("#jsDialogE_msg").text("邮箱重置失败，请刷新页面重试。");
                                    openWin("jsDialogE");
                            }
                    });
            }
            else
            {
                    if(!isEmailID(inputVal))
                    {
                            $.post("/ucenter_information/save_email/", { action: "saveemail", email: inputVal}, function(data){
                                    if(data == "1")
                                    {
                                            $("#jsDialogT_msg").text("邮箱修改成功。");  
                                            openWin("jsDialogT");
                                    }
                                    else
                                    {
                                            $("#jsDialogE_msg").text("邮箱修改失败，请刷新页面重试。");
                                            openWin("jsDialogE");
                                    }
                            });
                    }
                    else
                    {
                            $(this).siblings(".error").show()
                    }
            }
    })


    $("#jsIsQQID").bind("click",function(){//验证QQ号 也就是 是否为数字
            var inputVal = $(this).siblings(".jsAlterInput").val();

            inputVal = inputVal != "" ? inputVal : "尚未填写";
            $(this).siblings(".jsAlterInput").hide();
            $(this).siblings(".jsAlterInfo").text(inputVal).show();
            $(this).hide();	
            $(this).siblings(".jsAlterLin").show();	
            $(this).siblings(".error").hide();

            if(inputVal == "尚未填写")
            {
                    $.post("/ucenter_information/save_qq/", { action: "saveqq", qq: ""}, function(data){
                            if(data == "1")
                            {
                                    $("#jsDialogT_msg").text("QQ已重置。");
                                    openWin("jsDialogT");
                            }
                            else
                            {
                                    $("#jsDialogE_msg").text("QQ重置失败，请刷新页面重试。");
                                    openWin("jsDialogE");
                            }
                    });
            }
            else
            {
                    if(!isNaN(inputVal))
                    {
                            $.post("/ucenter_information/save_qq/", { action: "saveqq", qq: inputVal}, function(data){
                                    if(data == "1")
                                    {
                                            $("#jsDialogT_msg").text("QQ修改成功。");  
                                            openWin("jsDialogT");
                                    }
                                    else
                                    {
                                            $("#jsDialogE_msg").text("QQ修改失败，请刷新页面重试。");
                                            openWin("jsDialogE");
                                    }
                            });
                    }
                    else
                    {
                            $(this).siblings(".error").show()
                    }
            }
    })

    $("#jsIsInternalNumberID").bind("click",function(){//验证内部编号
            var inputVal = $(this).siblings(".jsAlterInput").val();

            inputVal = inputVal != "" ? inputVal : "尚未填写";
            $(this).siblings(".jsAlterInput").hide();
            $(this).siblings(".jsAlterInfo").text(inputVal).show();
            $(this).hide();	
            $(this).siblings(".jsAlterLin").show();	
            $(this).siblings(".error").hide();
            if(inputVal == "尚未填写")
            {
                    $.post("/ucenter_information/save_intelnal_num/", { action: "saveinternal_number", internal_number: ""}, function(data){
                            if(data == "1")
                            {
                                    $("#jsDialogT_msg").text("公司内部已重置。");  
                                    openWin("jsDialogT");
                            }
                            else
                            {
                                    $("#jsDialogE_msg").text("公司内部编号重置失败，请刷新页面重试。");
                                    openWin("jsDialogE");
                            }
                    });
            }
            else
            {
                    if(inputVal != "")
                    {
                            $.post("/ucenter_information/save_intelnal_num/", { action: "saveinternal_number", internal_number: inputVal}, function(data){
                                    if(data == "1")
                                    {
                                            $("#jsDialogT_msg").text("公司内部编号修改成功。");  
                                            openWin("jsDialogT");
                                    }
                                    else
                                    {
                                            $("#jsDialogE_msg").text("公司内部编号修改失败，请刷新页面重试。");
                                            openWin("jsDialogE");
                                    }
                            });
                    }
                    else
                    {
                            $(this).siblings(".error").show()
                    }
            }
    })

    $("#jsNameTextareaNsave").bind("click",function(){//自我介绍
            var inputVal = $("#jsNameTextareaN").val();
            var jsColorN = parseInt($("#jsColorN").text());
            
            if(jsColorN >= 0)
            {
                    $.post("/ucenter_information/save_self_desc/", { action: "saveselfdesc", selfdesc: inputVal}, function(data){
                            if(data == "1")
                            {
                                    $("#jsDialogT_msg").text("自我介绍修改成功。");  
                                    openWin("jsDialogT");
                            }
                            else
                            {
                                    $("#jsDialogE_msg").text("自我介绍修改失败，请刷新页面重试。");
                                    openWin("jsDialogE");
                            }
                    });
            }
            else
            {
                    $("#jsDialogE_msg").text("自我介绍最多可输入500个字。");
                    openWin("jsDialogE");
            }

    })
    //修改技能
    $("#skillSave").live("click",function(){
		$(".skillform").submit();
	})
    //修改头像
    $("#jsAlter").hover(function(){
            $(this).addClass("alterHover");
    },function(){
            $(this).removeClass("alterHover");
    }).bind("click", function(){
            openWin("jsUploadHeadPortrait")
    });
//修改手机
$("#jsAlterTel").bind("click",function(){
		openWin('jsMobilePhone')
	})
    $("#jsAlterSubmitMobile").bind("click",function(){
		var newphone_val = $("#newphone").val();
		var oldphone_val = $("#oldphone").val();
		var phonecode_val = $("#phonecode").val();
		$.post("/ucenter_information/save_phone/", { action: "savephone", newphone: newphone_val, oldphone: oldphone_val, phonecode: phonecode_val}, function(data){
			var getPhonecodeDiv = $("#getPhonecodeDiv");
			switch(data)
			{
				case "1": $('#jsMobilePhone').hide();openWin('jsAlterMobileT');window.location.reload();break;
				case "2": getPhonecodeDiv.siblings(".error").text("新的手机号码为原号码。");getPhonecodeDiv.siblings(".error").show();break;
				case "3": getPhonecodeDiv.siblings(".error").text("验证码错误。");getPhonecodeDiv.siblings(".error").show();break;
				case "4": getPhonecodeDiv.siblings(".error").text("24小时之内只能修改一次手机号码。");getPhonecodeDiv.siblings(".error").show();break;
				case "5": getPhonecodeDiv.siblings(".error").text("验证码已过期。");getPhonecodeDiv.siblings(".error").show();break;
				default: getPhonecodeDiv.siblings(".error").text("保存失败，请重试。");getPhonecodeDiv.siblings(".error").show();break;
			}
		});
    })
    //修改密码
    $("#jsAlterCold").bind("click", function() {
        openWin('jsPasswordPop')
    })
   $("#jsAlterSubmitPassword").bind("click",function(){
		var oldpassword = $("#oldpassword").val();
		var newpassword = $("#newpassword").val();
		var newpassword2 = $("#newpassword2").val();
		
		if(oldpassword == "")
		{
			$("#oldpassword").siblings(".error").show();
			return false;
		}
		else
		{
			$("#oldpassword").siblings(".error").hide();
		}

       if(newpassword == "" || newpassword.length < 8)
       {
           $("#newpassworderr").text("新密码需8位以上数字+英文，请重新设置");
           $("#newpassworderr").show();
           return false;
       } else if (!/\d+/.test(newpassword) || !/[a-zA-Z]+/.test(newpassword)) {
           console.log(1);
           $("#newpassworderr").text("新密码需8位以上数字+英文，请重新设置");
           $("#newpassworderr").show();
           return false;
       } else {
           $("#newpassworderr").hide();
       }

		if(newpassword == oldpassword)
		{
			$("#newpassworderr").text("新的密码与原密码一致。");
			$("#newpassworderr").show();
			return false;
		}
		else
		{
			$("#newpassworderr").hide();
		}

		if(newpassword != newpassword2)
		{
			$("#newpassword2").siblings(".error").show();
			return false;
		}
		else
		{
			$("#newpassword2").siblings(".error").hide();
		}

		$.post("/ucenter_information/save_pwd/", { action: "savepwd", oldpwd: oldpassword, newpwd: newpassword, newpwd2: newpassword2}, function(data){
			switch(data)
			{
				case "1": $('#jsPasswordPop').hide();openWin('jsAlterPasswordT');setTimeout(function(){window.location.href="/login/quit/";},1500);break;
				case "3": $("#newpassworderr").text("填写新的密码。");$("#newpassworderr").show();break;
				case "4": $("#newpassworderr").text("新的密码与原密码一致。");$("#newpassworderr").show();break;
				default: $("#oldpassword").siblings(".error").show();break;
			}
		});
	})
	


    //自我介绍字数提示
    countFun("jsNameTextareaN", 500, "jsColorN");
    
    //图片异步提交
	$(".fileInput").change(function(){
		var file = $(this).val();
		if(file != "")
		{ 
			var patrn=/(.jpg|.JPG|.png|.PNG)$/;
			if (patrn.exec(file))
			{
				$(this).parents(".fileform").submit();
			}
			else
			{
				$("#jsUploadHeadPortrait").hide();
				$("#jsDialogE_msg").html("请选择jpg或png格式的图片上传！");
				openWin("jsDialogE");
				return false;
			}
		}
	})

    ////上传身份证
    $("#jsAlterIdentity").bind("click", function() {
        openWin("jsIdentityAuthentication")
    })
    $("#jsCloseWinId").bind("click", function() {
        var inputVal = $("#jsNameInputN").val();
        if (!isCardID(inputVal))
        {
            $("#jsNameInputN").siblings(".error").hide();
            $("#gTipsCover" + "jsIdentityAuthentication").remove();
            $("#jsIdentityAuthentication").hide();
            openWin("jsDialogT");
            //alert($("#jsIdentityUrl").val())
        }
        else
        {
            $("#jsNameInputN").siblings(".error").show();
        }
    })

    ////上传名片

    $("#jsAlterCard").bind("click", function() {
        openWin("jsBusinessCard")
    })
    $("#jsCloseWinCard").bind("click", function() {
        $("#jsBusinessCard").hide()
        $("#gTipsCover" + "jsBusinessCard").remove();
        openWin("jsDialogT")
    })

    //上传职业认证

    $("#jsAlterProfession").bind("click", function() {
        openWin("jsAuthenticationProfession")
    })
    $("#jsCloseWinProfession").bind("click", function() {
        $("#jsAuthenticationProfession").hide();
        $("#gTipsCover" + "jsAuthenticationProfession").remove();
        openWin("jsDialogT")
    })
    
    	$("#getPhonecode").bind("click", function(){
		var newphone = $("#newphone").val();
		var oldphone = $("#oldphone").val();
		if(isPhone(newphone))
		{
			$("#newphone").siblings(".error").show();
			return false;
		}
		else
		{
			$("#newphone").siblings(".error").hide();
			var atext = $(this).text();
			if(atext == "获取验证码")
			{

				var bobj = $(this);
				var getPhonecodeDiv = $("#getPhonecodeDiv");
				var oTime = null;
				var num = 59;

				getPhonecodeDiv.siblings(".error").hide();

				bobj.css("width","95");
				bobj.text("60秒后重新获取");
				
				oTime = setInterval(function(){
					if(num > 0)
					{
						bobj.text(num+"秒后重新获取");
						num--;	
					}
					else
					{
						bobj.css("width","77");
						num = 59;
						clearInterval(oTime);
						bobj.text("获取验证码");
					}
				}, 1000);

				$.get("/ucenter_information/get_phone_code/?newphone="+newphone+"&oldphone="+oldphone, function(data){
					switch(data){
						case "1": break;
						case "2": getPhonecodeDiv.siblings(".error").text("60秒内只能获取一次验证码。");getPhonecodeDiv.siblings(".error").show();break;
						case "3": getPhonecodeDiv.siblings(".error").text("一天只能获取3次验证码。");getPhonecodeDiv.siblings(".error").show();break;
						case "4": getPhonecodeDiv.siblings(".error").text("新的手机号码为原号码。");getPhonecodeDiv.siblings(".error").show();break;
						case "5": getPhonecodeDiv.siblings(".error").text("24小时之内只能修改一次手机号码。");getPhonecodeDiv.siblings(".error").show();break;
						default: getPhonecodeDiv.siblings(".error").text("获取失败，请重试。");getPhonecodeDiv.siblings(".error").show();break;
					}
				})
			}
		}
	})

    //消息回复
    countFun("jsNewsHF", 100, "jsNewsHFNum")
});

///////////////////////////////////以下为新添加js 2014年2月8日 王小任
(function($) {
    $.countT = function(option) {
        var time = null;
        var t = parseInt(option.time);
        var type = option.type;
        var callback = option.callback;
        var $mmid = typeof (option.month) == "string" ? $("#" + option.month) : option.month || null;
        var $did = typeof (option.day) == "string" ? $("#" + option.day) : option.day || null;
        var $hid = typeof (option.hour) == "string" ? $("#" + option.hour) : option.hour || null;
        var $mid = typeof (option.minute) == "string" ? $("#" + option.minute) : option.minute || null;
        var $sid = typeof (option.second) == "string" ? $("#" + option.second) : option.second || null;
        var count = function() {
            if (t > 0) {
                t--;
            } else if (t == 0) {
                !!callback && callback();
                clearInterval(time);
                return;
            } else if (t < 0) {
                t = -t;
            } else {
                clearInterval(time);
                return;
            }
            var mm = Math.floor(t / 86400 / 30)
            var d = Math.floor(t / 86400);
            var h = Math.floor((t - d * 86400) / 3600);
            var m = Math.floor((t - d * 86400 - h * 3600) / 60);
            var s = Math.floor(t - d * 86400 - h * 3600 - m * 60);
            if (!type) {
                html($mmid, mm);
                html($did, d);
                html($hid, h);
                html($mid, m);
                html($sid, s);

            } else if (type == 1) {
                html($mmid, mm, "<del></del>");
                html($did, d, "<del></del>");
                html($hid, h, "<del></del>");
                html($mid, m, "<del></del>");
                html($sid, s, "<del></del>");
            }
            time = setTimeout(count, 1000);
        }
        count();

        function html(jq, num, strs) {
            if (!jq || jq.length <= 0)
                return;
            if (!!arguments[2]) {
                jq.html(num + strs);
            } else {
                jq.html(num);
            }

        }
        return this;
    }
})(jQuery);
/**
 <div class="time">剩余<em id="day">00</em>天<em id="hour">00</em>小时<em id="mini">00</em>分<em id="sec">00</em>秒</div>
 <script>
 jQuery(function(){
 jQuery.countT({
 time:2038110,
 day:"day",
 hour:"hour",
 minute:"mini",
 second:"sec"    
 })
 })
 </script> 
 **/
function delBlockPic(obj) {
    //alert($(obj).attr("class"))
    $(obj).parents(".js_BlockPic").remove();
};
$(function() {
    $(".js_link_fun").click(function() {
        var p = $(this).parents(".js_branchCommon_p_2").next(".js_show_box_p");
        p.find(".js_show_block_pic").hide();
        p.find(".js_forms_p").show();
    });

    $(".js_pic_fun").click(function() {
        var p = $(this).parents(".js_branchCommon_p_2").next(".js_show_box_p");
        p.find(".js_show_block_pic").show();
        p.find(".js_forms_p").hide();
    });

    $(".js_cancel_btn").click(function() {
        $(this).parents(".js_forms_p").hide();
    });
    $(".js_hide_block_pic").click(function() {
        $(this).parents(".js_show_block_pic").hide();
    });
});

/****营销中心 新加****/
function show_td() {
    $("#js_marketing_table_01").find("tr").show();
    $("#js_show_td").hide();
    $("#js_hide_td").show();
};

function hide_td() {
    $("#js_marketing_table_01 tr:gt(4)").hide();
    $("#js_show_td").show();
    $("#js_hide_td").hide();
};


/****南京站改版新加 ****/
$(function(){ //查看求租匹配房源
		$(".jsShowHouse").toggle(
				function () {
					$(this).text("收起");
					$(this).parents(".jsMatchingHouse").addClass("showMatchingHouse");
				},
				function () {
					$(this).text("查看匹配房源");
					$(this).parents(".jsMatchingHouse").removeClass("showMatchingHouse");
				}
		);
});

/*
$(function(){//匹配房源
	$(".js_m_house_list .item").live("mouseenter mouseleave click",function(event){
			if(event.type == "mouseenter")
			{
				$(this).addClass("itemHover");
			}
			else if(event.type == "mouseleave")
			{
				$(this).removeClass("itemHover");
			}
			else
			{
				$(".js_m_house_list .item").removeClass("itemSet");
				$(this).addClass("itemSet");
			}
	})
})
*/




function fixedFun(){//房源管理 控制条 滚动时出现
				
		var winHeight = $(window).height();
		var objOffT = $("#jsHideFun").offset().top + $("#jsHideFun").outerHeight(true) ;
		var winScrollTop = $(window).scrollTop() + 105;
		var parentOffT = $("#jsFixed").parent().offset().top;
		if(objOffT < winScrollTop  )
		{
			$("#jsFixed").addClass("bottomFixed");
			if(parentOffT <=  winScrollTop + winHeight - $("#jsFixed").outerHeight(true))
			{
				$("#jsFixed").removeClass("bottomFixed");
			}
		}
		else
		{
			$("#jsFixed").removeClass("bottomFixed");
		}
}

$(function(){
	if($("#jsHideFun").length>0)
	{
		$(window).scroll(function(){
			fixedFun()
		})
	};
	countFun("jsReason",50,"jsReasonNum");
});
//real房
$(function(){
	if($("#jsTitleStatisticsAuto .item").length>5)
	{
		$("#jsShowHideStatistics").show();
	}
	$("#jsShowHideStatistics").toggle(
				function(){					
						$(this).find(".tex").text("收起");	
						$(this).addClass("r_s_h_tex_hide")	;
						$("#jsTitleStatisticsAuto").addClass("titleStatisticsAutoH");
				},
				function(){
						$(this).find(".tex").text("展开");	
						$(this).removeClass("r_s_h_tex_hide");	
						$("#jsTitleStatisticsAuto").removeClass("titleStatisticsAutoH");
				}
	);
	
	
	$("#js_tab_title_real .link").each(function(index, element) {
		$(this).click(function(){
			$(this).addClass("on").siblings(".link").removeClass("on");
			$("#js_tab_title_real_mod").find(".itemForm").hide().eq(index).show();
		});
		
	});
	
	
	
	
	
});	
	
